module ServState
  class Rotator
    attr_reader :data, :size

    def append(values)
      @data[@size] = [values[:cpu], values[:ram], values[:down], values[:up]]
      @data.shift
    end
  
  private

    def initialize(size)
      @size = size
      @data = Array.new(@size, [0, 0, 0, 0]) # [cpu, ram, netdown, netup]
    end
  end
end